UPGRADEPKG(8)

NAMN
upgradepkg - uppgradera Slackware paket.

ÖVERSIKT
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] nyttpaketnamn [nyttpaketnamn2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] gammaltpaketnamn%nyttpaketnamn [gammal2%ny2]

BESKRIVNING
upgradepkg uppgraderar ett Slackware paket från en äldre version till en nyare. Detta sker genom att INSTALLERA det nya paketet på systemet, och därefter TA BORT alla filer från det gamla paketet som inte finns i den nya paket. Om de gamla och de nya paketen har samma namn, är ett enda argument allt som behövs. Om förpackningarna har olika namn, ange namnet på det gamla paketet, följt av ett procenttecken (%), sedan namnet på det nya paketet. Lägg inte till några extra mellanslag av gammla/nya paketnamn. Om upgradepkg hittar mer än ett installerat paket som matchar det gamla paket namnet, kommer det att ta bort dem alla.

För att uppgradera i en annan katalog än / (t.ex. /mnt):

ROOT=/mnt upgradepkg paket.tgz (eller .tbz, .tlz, .txz)

ALTERNATIV

--dry-run
    Visar en rapport om vilka paket som skulle installeras eller uppgraderas, men utför egentligen inte uppgraderingar.

--install-new
    Upgradepkg uppgraderar normalt endast paket som redan är installerade på systemet, och hoppar över de paket som inte redan har en version installerad. Om --install-new anges, ändras beteendet för att installera nya paket utöver att uppgradera befintliga.

--reinstall
    Upgradepkg hoppar oftast över paket om exakt samma paket (matchande namn, version, arch, och bygg nummer) redan är installerat på systemet. Använd --reinstall alternativet om du vill uppgradera alla paket, även om samma version redan är installerad.

--verbose
    Visa alla blodiga uppgifter om uppgraderingen.

BUGGAR
Innan du uppgraderar ett paket, spara alla konfigurationsfiler (t.ex. i /etc) som du vill behålla. Ibland kommer dessa att bevaras, men det beror på paketstrukturen. Om du vill tvinga nya versioner av konfigurationsfiler att installeras, ta bort de gamla manuellt innan du kör upgradepkg.

FÖRFATTARE
Patrick J. Volkerding <volkerdi@slackware.com>

SE OCKSÅ
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)